import { ReactConfig, Config } from '@swc/core';
export interface Options {
    target?: 'es3' | 'es5' | 'es2015' | 'es2016' | 'es2017' | 'es2018' | 'es2019';
    module?: 'commonjs' | 'umd' | 'amd' | 'es6';
    sourcemap?: Config['sourceMaps'];
    jsx?: boolean;
    experimentalDecorators?: boolean;
    emitDecoratorMetadata?: boolean;
    dynamicImport?: boolean;
    esModuleInterop?: boolean;
    keepClassNames?: boolean;
    react?: Partial<ReactConfig>;
}
export declare function transformSync(source: string, path: string, options?: Options): import("@swc/core").Output;
export declare function transformJest(source: string, path: string, options?: Options): import("@swc/core").Output;
export declare function transform(source: string, path: string, options?: Options): Promise<import("@swc/core").Output>;
